;*************************************************************************
;									 *
;*				ATmega32 Bootloader			 *
;*                                                                       *
;*                      Author: Peter Dannegger                          *
;*									 *
;*************************************************************************
.nolist
.include "m32def.inc"


;please burn this BootStart Fuse:

.equ	BootStart	= FirstBootStart


;Attention: BufferSize must fit perfectly into BootStart !
;e.g. BufferSize * 18 = BootStart

.equ	BufferSize	= (14*PageSize)

;-------------------------------------------------------------------------
;                               Port definitions
;-------------------------------------------------------------------------
.equ    STX_PORT        = PORTD
.equ    STX_DDR         = DDRD
.equ    STX             = PD1

.equ    SRX_PIN         = PIND
.equ    SRX_PORT        = PORTD
.equ    SRX             = PD0
;-------------------------------------------------------------------------
.include "fastload.inc"
;-------------------------------------------------------------------------
